package advmath

type Complex interface {
	~complex64 | ~complex128 | Real
}

type Real interface {
	~float32 | ~float64 | Natural
}

type Natural interface {
	~uint | ~uint8 | ~uint16 | ~uint32 | ~uint64 | Integer
}

type Integer interface {
	~int | ~int8 | ~int16 | ~int32 | ~int64
}
